RasaX Install Error:"mv: cannot move 'credentials' to a subdirectory of itself, '/etc/rasa/credentials/credentials'"

$ curl -sSL -o install.sh https://storage.googleapis.com/rasa-x-releases/0.25.2/install.sh

$ sudo bash ./install.sh

When I install RasaX as Docker-Compose Quick Install tutorial, when execute task [backwards compatible credentials],I met error as follows:

image image

I don’t know how to solve it so I ask for help. Thank you!

I fix the bug by command the task [backwards compatible credentials], and add a new task [Create the directory for the credentials(backwards compatible credentials)] as follows: image

Here is the complete yaml file.

rasa_x_playbook.yml (12.6 KB)

I wish it is helpful for some have the same problem.

But this is not the best solution, I have reported this issue in github.

After adding the new step and rerunning the “sudo -E bash install.sh” replaces the rasa_x_playbook.yml file.